using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    public class PmsTaskInfo
    {
        [SugarColumn(IsPrimaryKey = true, Length = 50)]
        public string TaskID { get; set; }


        [SugarColumn(IsNullable = true, Length = 50)]
        public string WareHouseCode { get; set; }

        [SugarColumn(IsNullable = true, Length = 50)]
        public string LocationCode { get; set; }


        [SugarColumn(IsNullable = true, Length = 50)]
        public string MaterialId { get; set; }


        [SugarColumn(IsNullable = true, Length = 50)]
        public string TargetWareHouseCode { get; set; }

        [SugarColumn(IsNullable = true, Length = 50)]
        public string TargetLocationCode { get; set; }



        public DateTime CreateTime { get; set; }
        public int Carrier { get; set; }

        [SugarColumn(IsNullable = true, Length = 50)]
        public string CarrierType { get; set; }
        public int Priority { get; set; }

        [SugarColumn(IsNullable = true, Length = 50)]
        public string ParentTaskId { get; set; }


        [SugarColumn(IsNullable = true)]
        public string Message { get; set; }
    }
}
